version: '3'
services:
    typesense:
        image: 'typesense/typesense:30.1'
        ports:
            - '8108:8108'
        environment:
            TYPESENSE_DATA_DIR: '/typesense-data'
            TYPESENSE_API_KEY: 'xyz'
            TYPESENSE_ENABLE_CORS: true
        volumes:
            - 'typesense-data:/typesense-data'
        healthcheck:
            test:
                - CMD
                - wget
                - '--no-verbose'
                - '--spider'
                - 'http://localhost:8108/health'
            retries: 5
            timeout: 7s
    meilisearch:
      image: 'getmeili/meilisearch:latest'
      ports:
          - '7700:7700'
      healthcheck:
          test: ["CMD", "wget", "--no-verbose", "--spider",  "http://localhost:7700/health"]
          retries: 3
          timeout: 5s
volumes:
    typesense-data:
        driver: local
